package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B50T00Datatype implements Serializable {

	private String ejercicio = "";
	private String numExp = "";
	private String impNetoAfecComis = "";
	private String impNetoAfecHonor = "";
	private String impNetoResto = "";
	private String variacProduc = "";
	private String trabAct = "";
	private String aprov = "";
	private String ingrOtrosAfec = "";
	private String ingrOtrosResto = "";
	private String gastPerAfec = "";
	private String gastPerResto = "";
	private String gastOtrosAfec = "";
	private String gastOtrosResto = "";
	private String amort = "";
	private String imputSubv = "";
	private String excesoProv = "";
	private String enajInmov = "";
	private String ingrFinanc = "";
	private String gastFinanc = "";
	private String variacInstrFinanc = "";
	private String diferCambio = "";
	private String enajInstrFinanc = "";
	private String impuesBenef = "";
	
	
	
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the impNetoAfecComis.
	 */
	public String getImpNetoAfecComis() {
		return impNetoAfecComis;
	}
	/**
	 * @param impNetoAfecComis The impNetoAfecComis to set.
	 */
	public void setImpNetoAfecComis(String impNetoAfecComis) {
		this.impNetoAfecComis = impNetoAfecComis;
	}
	
	/**
	 * @return Returns the impNetoAfecHonor.
	 */
	public String getImpNetoAfecHonor() {
		return impNetoAfecHonor;
	}
	/**
	 * @param impNetoAfecHonor The impNetoAfecHonor to set.
	 */
	public void setImpNetoAfecHonor(String impNetoAfecHonor) {
		this.impNetoAfecHonor = impNetoAfecHonor;
	}
	
	/**
	 * @return Returns the impNetoResto.
	 */
	public String getImpNetoResto() {
		return impNetoResto;
	}
	/**
	 * @param impNetoResto The impNetoResto to set.
	 */
	public void setImpNetoResto(String impNetoResto) {
		this.impNetoResto = impNetoResto;
	}
	
	/**
	 * @return Returns the variacProduc.
	 */
	public String getVariacProduc() {
		return variacProduc;
	}
	/**
	 * @param variacProduc The variacProduc to set.
	 */
	public void setVariacProduc(String variacProduc) {
		this.variacProduc = variacProduc;
	}
	
	/**
	 * @return Returns the trabAct.
	 */
	public String getTrabAct() {
		return trabAct;
	}
	/**
	 * @param trabAct The trabAct to set.
	 */
	public void setTrabAct(String trabAct) {
		this.trabAct = trabAct;
	}
	
	/**
	 * @return Returns the aprov.
	 */
	public String getAprov() {
		return aprov;
	}
	/**
	 * @param aprov The aprov to set.
	 */
	public void setAprov(String aprov) {
		this.aprov = aprov;
	}
	
	/**
	 * @return Returns the ingrOtrosAfec.
	 */
	public String getIngrOtrosAfec() {
		return ingrOtrosAfec;
	}
	/**
	 * @param ingrOtrosAfec The ingrOtrosAfec to set.
	 */
	public void setIngrOtrosAfec(String ingrOtrosAfec) {
		this.ingrOtrosAfec = ingrOtrosAfec;
	}
	
	/**
	 * @return Returns the ingrOtrosResto.
	 */
	public String getIngrOtrosResto() {
		return ingrOtrosResto;
	}
	/**
	 * @param ingrOtrosResto The ingrOtrosResto to set.
	 */
	public void setIngrOtrosResto(String ingrOtrosResto) {
		this.ingrOtrosResto = ingrOtrosResto;
	}
	
	/**
	 * @return Returns the gastPerAfec.
	 */
	public String getGastPerAfec() {
		return gastPerAfec;
	}
	/**
	 * @param gastPerAfec The gastPerAfec to set.
	 */
	public void setGastPerAfec(String gastPerAfec) {
		this.gastPerAfec = gastPerAfec;
	}
	
	/**
	 * @return Returns the gastPerResto.
	 */
	public String getGastPerResto() {
		return gastPerResto;
	}
	/**
	 * @param gastPerResto The gastPerResto to set.
	 */
	public void setGastPerResto(String gastPerResto) {
		this.gastPerResto = gastPerResto;
	}
	
	/**
	 * @return Returns the gastOtrosAfec.
	 */
	public String getGastOtrosAfec() {
		return gastOtrosAfec;
	}
	/**
	 * @param gastOtrosAfec The gastOtrosAfec to set.
	 */
	public void setGastOtrosAfec(String gastOtrosAfec) {
		this.gastOtrosAfec = gastOtrosAfec;
	}
	
	/**
	 * @return Returns the gastOtrosResto.
	 */
	public String getGastOtrosResto() {
		return gastOtrosResto;
	}
	/**
	 * @param gastOtrosResto The gastOtrosResto to set.
	 */
	public void setGastOtrosResto(String gastOtrosResto) {
		this.gastOtrosResto = gastOtrosResto;
	}

	/**
	 * @return Returns the amort.
	 */
	public String getAmort() {
		return amort;
	}
	/**
	 * @param amort The amort to set.
	 */
	public void setAmort(String amort) {
		this.amort = amort;
	}
	
	/**
	 * @return Returns the imputSubv.
	 */
	public String getImputSubv() {
		return imputSubv;
	}
	/**
	 * @param imputSubv The imputSubv to set.
	 */
	public void setImputSubv(String imputSubv) {
		this.imputSubv = imputSubv;
	}
	
	/**
	 * @return Returns the excesoProv.
	 */
	public String getExcesoProv() {
		return excesoProv;
	}
	/**
	 * @param excesoProv The excesoProv to set.
	 */
	public void setExcesoProv(String excesoProv) {
		this.excesoProv = excesoProv;
	}
	
	/**
	 * @return Returns the enajInmov.
	 */
	public String getEnajInmov() {
		return enajInmov;
	}
	/**
	 * @param enajInmov The enajInmov to set.
	 */
	public void setEnajInmov(String enajInmov) {
		this.enajInmov = enajInmov;
	}
	
	/**
	 * @return Returns the ingrFinanc.
	 */
	public String getIngrFinanc() {
		return ingrFinanc;
	}
	/**
	 * @param ingrFinanc The ingrFinanc to set.
	 */
	public void setIngrFinanc(String ingrFinanc) {
		this.ingrFinanc = ingrFinanc;
	}
	
	/**
	 * @return Returns the gastFinanc.
	 */
	public String getGastFinanc() {
		return gastFinanc;
	}
	/**
	 * @param gastFinanc The gastFinanc to set.
	 */
	public void setGastFinanc(String gastFinanc) {
		this.gastFinanc = gastFinanc;
	}
	
	/**
	 * @return Returns the variacInstrFinanc.
	 */
	public String getVariacInstrFinanc() {
		return variacInstrFinanc;
	}
	/**
	 * @param variacInstrFinanc The variacInstrFinanc to set.
	 */
	public void setVariacInstrFinanc(String variacInstrFinanc) {
		this.variacInstrFinanc = variacInstrFinanc;
	}
	
	/**
	 * @return Returns the diferCambio.
	 */
	public String getDiferCambio() {
		return diferCambio;
	}
	/**
	 * @param diferCambio The diferCambio to set.
	 */
	public void setDiferCambio(String diferCambio) {
		this.diferCambio = diferCambio;
	}
	
	/**
	 * @return Returns the enajInstrFinanc.
	 */
	public String getEnajInstrFinanc() {
		return enajInstrFinanc;
	}
	/**
	 * @param enajInstrFinanc The enajInstrFinanc to set.
	 */
	public void setEnajInstrFinanc(String enajInstrFinanc) {
		this.enajInstrFinanc = enajInstrFinanc;
	}
	
	/**
	 * @return Returns the impuesBenef.
	 */
	public String getImpuesBenef() {
		return impuesBenef;
	}
	/**
	 * @param impuesBenef The impuesBenef to set.
	 */
	public void setImpuesBenef(String impuesBenef) {
		this.impuesBenef = impuesBenef;
	}
	
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; impNetoAfecComis: ");
		textoImprimir.append(impNetoAfecComis);
		textoImprimir.append("; impNetoAfecHonor: ");
		textoImprimir.append(impNetoAfecHonor);
		textoImprimir.append("; impNetoResto: ");
		textoImprimir.append(impNetoResto);
		textoImprimir.append("; variacProduc: ");
		textoImprimir.append(variacProduc);
		textoImprimir.append("; trabAct: ");
		textoImprimir.append(trabAct);
		textoImprimir.append("; aprov: ");
		textoImprimir.append(aprov);
		textoImprimir.append("; ingrOtrosAfec: ");
		textoImprimir.append(ingrOtrosAfec);
		textoImprimir.append("; ingrOtrosResto: ");
		textoImprimir.append(ingrOtrosResto);
		textoImprimir.append("; gastPerAfec: ");
		textoImprimir.append(gastPerAfec);
		textoImprimir.append("; gastPerResto: ");
		textoImprimir.append(gastPerResto);
		textoImprimir.append("; gastOtrosAfec: ");
		textoImprimir.append(gastOtrosAfec);
		textoImprimir.append("; gastOtrosResto: ");
		textoImprimir.append(gastOtrosResto);
		textoImprimir.append("; amort: ");
		textoImprimir.append(amort);
		textoImprimir.append("; imputSubv: ");
		textoImprimir.append(imputSubv);
		textoImprimir.append("; excesoProv: ");
		textoImprimir.append(excesoProv);
		textoImprimir.append("; enajInmov: ");
		textoImprimir.append(enajInmov);
		textoImprimir.append("; ingrFinanc: ");
		textoImprimir.append(ingrFinanc);
		textoImprimir.append("; gastFinanc: ");
		textoImprimir.append(gastFinanc);
		textoImprimir.append("; variacInstrFinanc: ");
		textoImprimir.append(variacInstrFinanc);
		textoImprimir.append("; diferCambio: ");
		textoImprimir.append(diferCambio);
		textoImprimir.append("; enajInstrFinanc: ");
		textoImprimir.append(enajInstrFinanc);
		textoImprimir.append("; impuesBenef: ");
		textoImprimir.append(impuesBenef);
			
		return textoImprimir.toString();
	}
	

}
